/*
 *    PROJECT:      DVS
 *    SUBSYSTEM:    VL
 *    MODULE:       basictypes.def
 *
 *    File:         $RCSfile: divtypes.def,v $
 *    Revision:     $Revision: 2.3 $
 *    Date:         $Date: 1995/04/27 10:40:16 $
 *    Author:       $Author: jeff $
 *    RCS Ident:    $Id: divtypes.def,v 2.3 1995/04/27 10:40:16 jeff beta $
 *
 *    FUNCTION:
 * This module is used to hold the parameterised definitions of the basic
 * types used throughout the system for all the machines supported. When
 * porting to a new architecture all type stuff should be modified in
 * here. There should be no machine dependant code anywhere else!
 *
 * each of the basic type int8 uint8 etc, etc is defined in terms of
 * standard ansi 'C' types here, and given a enum name for conveniance.
 *
 * char8 is used for cases where the signedness of the byte is irelevent
 * such as in character strings etc.
 * The format is DEF_TYPE ( <enum name>, <type name>, <ansi 'C' equiv> )
 *
 *    $Log: divtypes.def,v $
 * Revision 2.3  1995/04/27  10:40:16  jeff
 * *** empty log message ***
 *
 * Revision 2.2  1994/09/08  12:35:33  jeff
 * added windows basic types.
 *
 * Revision 2.1  1994/04/08  13:50:14  jeff
 *  Importded from 2.0 tree.
 *
 *
 * Copyright (c) 1994 Division Ltd.
 *
 * All Rights Reserved.
 *
 * This Document may not, in whole or in part, be copied,
 * photocopied, reproduced, translated, or reduced to any
 * electronic medium or machine readable form without prior
 * written consent from Division Ltd.
 */

#if defined (_WIN31)

DEF_TYPE(  CHAR8,    char8,          char)
DEF_TYPE(   INT8,     int8,   signed char)
DEF_TYPE(  UINT8,    uint8, unsigned char)
DEF_TYPE(  INT16,    int16,   signed int)
DEF_TYPE( UINT16,   uint16, unsigned int)
DEF_TYPE(  INT32,    int32,   signed long)
DEF_TYPE( UINT32,   uint32, unsigned long)
DEF_TYPE( FLOAT32, float32,          float)
DEF_TYPE( FLOAT64, float64,          double)

#else

DEF_TYPE(  CHAR8,    char8,          char)
DEF_TYPE(   INT8,     int8,   signed char)
DEF_TYPE(  UINT8,    uint8, unsigned char)
DEF_TYPE(  INT16,    int16,   signed short)
DEF_TYPE( UINT16,   uint16, unsigned short)
DEF_TYPE(  INT32,    int32,   signed int)
DEF_TYPE( UINT32,   uint32, unsigned int)
DEF_TYPE( FLOAT32, float32,          float)
DEF_TYPE( FLOAT64, float64,          double)

#endif

/*
 * Note we may need to put ifdefs back in here for some machines IE 64Bit
 * processors ?
 */
